import PIL
from PIL import Image, ImageOps
from lib import *

with Image.open("data/muva_mini_c.jpg") as img:
    img.load()

# rgb kanali
r, g, b = img.split()
tile( img, r, g, b ).show()
print("Press any key to continue...")
input()

black = PIL.ImageChops.constant( r, 0 )
tile(
    img,
    Image.merge( "RGB", (r, black, black)),
    Image.merge( "RGB", (black, g, black)),
    Image.merge( "RGB", (black, black, b)),
    Image.merge( "RGB", (r,g,b) )
).show()
print("Press any key to continue...")
input()

# cmyk kanali
c, m, y, k = img.convert("CMYK").split()
tile( img, c, m, y, k ).show()
print("Press any key to continue...")
input()

tile(
    img,
    Image.merge( "CMYK", (c, black, black, black)),
    Image.merge( "CMYK", (black, m, black, black)),
    Image.merge( "CMYK", (black, black, y, black)),
    Image.merge( "CMYK", (black, black, black, k)),
    Image.merge( "CMYK", (c,m,y,k) )
).show()
print("Press any key to continue...")
input()

# grayscale
l = img.convert("L")
tile( img, l ).show()

